XSUN(1)

NAME
Xsun, XsunMono, Xsun24 - Sun server for X Version 11

SYNOPSIS
Xsun [ option ] ...

DESCRIPTION
Xsun is the server for Version 11 of the X window system on Sun hardware. It will normally be started by the xdm(1) daemon or by a script that runs the program xinit(1).

CONFIGURATIONS

Xsun supports 8-bit color and 1-bit monochrome screens. XsunMono is configured to support only monochrome screens, for low-end systems with limited memory. Like Xsun, Xsun24 supports 8-bit color and 1-bit monochrome screens in addition to the cgeight 24-bit color screen.

If specific framebuffer device files aren't specified on the command line with the -dev switch or in the XDEVICE environment variable, the server will search for all installed frame buffers and will use all those that it finds. The following framebuffer types are supported:

bwtwo, cgtwo, cgthree, cgfour, cgsix, and cgeight.

Finally, if no specific framebuffers are found, the generic framebuffer interface /dev/fb is used.

KEYBOARDS

Xsun, Xsun24, and XsunMono support the Type-2, Type-3, and many variations of the Type-4 and Type-5 keyboards.

Type-4 and Type-5 keyboards feature a key labeled AltGraph which is a mode-shift key. The mode-shift key is used to generate the symbols painted on the fronts of the keys. The mode-shift key works exactly like the Shift, Control, Alt, and <Meta> keys.

The ten function keys on the left side of the Type-5 keyboard may be considered as having L1..L10 painted on their fronts. Shift-AltGraph will cause different keysyms to be generated for some keys, e.g. the Type-5 SysRq key.

For compatibility with Sun's X11/NeWS server, the F11 and F12 keys may be made to generate the equivalent X11/NeWS keysyms by using mode-switch.

For backwards compatibility, the normal and mode-shifted keysyms for the ten function keys on the left side of Type-4 and Type-5 keyboards may be swapped via command line option. See -swapLkeys.

The X LEDs 1..4 correspond to the NumLock, ScrollLock, Compose, and CapsLock LEDs respectively. Pressing the key once turns the corresponding LED on. Pressing the key again turns the LED off. Turning an LED on or off with e.g. 'xset [-]led [1234]' is equivalent to pressing the corresponding key.

OPTIONS

In addition to the normal server options described in the Xserver(1) manual page, Xsun accepts the following command line switches:

-ar1 milliseconds
    This option specifies amount of time in milliseconds before which a pressed key should begin to autorepeat.

-ar2 milliseconds
    This option specifies the interval in milliseconds between autorepeats of pressed keys.

-swapLkeys
    Swaps the normal keysyms for the function keys on the left side of Type-4 and Type-5 keyboards with the alternate keysyms, i.e. the keysyms painted on the front of the keys.

-flipPixels
    The normal pixel values for white and black are 0 and 1 respectively. When -flipPixels is specified these values are reversed.

-mono
    When used with the cgtwo, this option indicates that the server should emulate a monochrome framebuffer instead of the normal color framebuffer. When used with the cgfour, this option indicates that the monochrome screen should be numbered 0 and the color screen numbered 1 (instead of the other way around).

-zaphod
    This option disables switching between screens by sliding the mouse off the left or right edges. With this disabled, a window manager function must be used to switch between screens.

-debug
    This option indicates that the server is being run from a debugger, and that it should not put its standard input, output and error files into non-blocking mode.

-dev filename[:filename]...
    This option specifies the colon separated names of the framebuffer device files to be used.

-fbinfo
    This option indicates that the server should enumerate the available frame buffers that it will use.

ENVIRONMENT

XDEVICE
    If present, and if no explicit -dev options are given, specifies the (colon separated) list of display devices to use.

SEE ALSO

X(1), Xserver(1), xdm(1), xinit(1)

BUGS
The auto-configuration depends on there being appropriate special files in the /dev directory for the framebuffers which are to be used. Extra entries can confuse the server. For example, the X/160C in fact has the hardware for a monochrome bwtwo0 on the CPU board. So if /dev has a special file for /dev/bwtwo0, the server will use it, even though there is no monitor attached to the monochrome framebuffer. The server will appear to start, but not to paint a cursor, because the cursor is on the monochrome frame buffer. The solution is to remove the /dev entries for any device you don't have a monitor for.

There is a bug in pre-FCS operating systems for the Sun-4 which causes the server to crash driving a cgtwo.

AUTHORS

U. C. Berkeley
    Adam de Boor.

Sun Microsystems
    David Rosenthal, Stuart Marks, Robin Schaufler, Mike Schwartz, Frances Ho, Geoff Lee, and Mark Opperman.

MIT Laboratory for Computer Science
    Bob Scheifler, Keith Packard, Kaleb Keithley